MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001173XdebugUsage problems (Wrong Results)public2015-07-18 10:032015-11-05 15:09
Reportersebastian 
Assigned Toderick 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSLinuxOS VersionIrrelevant
Product Version2.3.3 
Target VersionFixed in Version2.4.0beta1 
Summary0001173: SIGFPE in xdebug_get_monitored_functions()
Descriptionxdebug_get_monitored_functions() crashes when xdebug_start_function_monitor() was called with empty array.
Steps To Reproduce$ cat /tmp/test.php
<?php
xdebug_start_function_monitor([]);
$functions = xdebug_get_monitored_functions();

$ /usr/local/php-5.6/bin/php /tmp/test.php
[1] 6628 floating point exception (core dumped) /usr/local/php-5.6/bin/php /tmp/test.php
Additional Information#0 0x00007fffe8141fc4 in xdebug_hash_extended_find () from /usr/local/php-5.6/lib/php/extensions/debug-non-zts-20131226/xdebug.so
#1 0x00007fffe8147849 in xdebug_add_stack_frame () from /usr/local/php-5.6/lib/php/extensions/debug-non-zts-20131226/xdebug.so
0000002 0x00007fffe812ae69 in xdebug_execute_internal () from /usr/local/php-5.6/lib/php/extensions/debug-non-zts-20131226/xdebug.so
0000003 0x00000000009fc829 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7f9d240) at /usr/local/src/php/src/Zend/zend_vm_execute.h:560
0000004 0x0000000000a02137 in ZEND_DO_FCALL_SPEC_CONST_HANDLER (execute_data=0x7ffff7f9d240) at /usr/local/src/php/src/Zend/zend_vm_execute.h:2602
0000005 0x00000000009ff3d9 in ZEND_USER_OPCODE_SPEC_HANDLER (execute_data=0x7ffff7f9d240) at /usr/local/src/php/src/Zend/zend_vm_execute.h:1330
0000006 0x00000000009fbe61 in execute_ex (execute_data=0x7ffff7f9d240) at /usr/local/src/php/src/Zend/zend_vm_execute.h:363
0000007 0x00007fffe812aa04 in xdebug_execute_ex () from /usr/local/php-5.6/lib/php/extensions/debug-non-zts-20131226/xdebug.so
0000008 0x00000000009fbee8 in zend_execute (op_array=0x7ffff7e0d7f0) at /usr/local/src/php/src/Zend/zend_vm_execute.h:388
0000009 0x00000000009b8573 in zend_execute_scripts (type=8, retval=0x0, file_count=3) at /usr/local/src/php/src/Zend/zend.c:1341
0000010 0x00000000009223c4 in php_execute_script (primary_file=0x7fffffffd9f0) at /usr/local/src/php/src/main/main.c:2597
0000011 0x0000000000a6a396 in do_cli (argc=2, argv=0x1329420) at /usr/local/src/php/src/sapi/cli/php_cli.c:994
0000012 0x0000000000a6b4c2 in main (argc=2, argv=0x1329420) at /usr/local/src/php/src/sapi/cli/php_cli.c:1378
TagsNo tags attached.
Operating System
PHP Version5.6-dev
Attached Files

- Relationships

-  Notes
(0003153)
derick (administrator)
2015-07-18 15:05

Are you sure this is in 2.3.3? :-) In any case, a PR: https://github.com/xdebug/xdebug/pull/192 [^]

Will merge when Travis is done.
(0003154)
derick (administrator)
2015-07-18 15:07

Thanks for the report and short reproduce script. I've merged a fix.

- Issue History
Date Modified Username Field Change
2015-07-18 10:03 sebastian New Issue
2015-07-18 15:05 derick Note Added: 0003153
2015-07-18 15:07 derick Note Added: 0003154
2015-07-18 15:07 derick Status new => closed
2015-07-18 15:07 derick Assigned To => derick
2015-07-18 15:07 derick Resolution open => fixed
2015-07-18 15:07 derick Fixed in Version => 3.0.0dev
2015-11-05 15:09 derick Fixed in Version 3.0.0dev => 2.4.0beta1
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker